CLICK-FLATTEN(1)

NAME
click-flatten - removes compound elements from a Click configuration

SYNOPSIS
click-flatten [options] [router-file]

DESCRIPTION
The click-flatten tool flattens a Click router configuration, compiling all its compound elements away, and writes the resulting configuration to the standard output. It can also output information about the file.

OPTIONS
If any filename argument is a single dash "-", click-flatten will use the standard input or output instead, as appropriate.

-c, --classes
    Output an alphabetical list of the element classes used by the flattened router file, one per line, instead of the usual configuration.

-n, --elements
    Output an alphabetical list of the element names in the flattened router file, one per line, instead of the usual configuration.

-d, --declaration
    Output the element declarations in the flattened router file, one per line, instead of the usual configuration.

-f, --file file
    Read the router configuration to flatten from file. The default is the standard input.

-e, --expression expr
    Use expr, a string in the Click language, as the router configuration to flatten.

--config
    Output flattened configuration only -- if the input was an archive, ignore other archive elements.

-o, --output file
    Write the flattened router configuration to file. The default is the standard output.

--help
    Print usage information and exit.

--version
    Print the version number and some quickie warranty information and exit.

SEE ALSO

AUTHOR
Eddie Kohler, kohler@cs.ucla.edu
http://www.pdos.lcs.mit.edu/click/